Deprecated: Get SMTP provider configuration by its id
Get a specific SMTP provider configuration by its ID.
Deprecated: please move to the new endpoint GetEmailProviderById.
curl -X GET "https://loading/smtp/string"{
"smtpConfig": {
"details": {
"sequence": 0,
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string"
},
"senderAddress": "string",
"senderName": "string",
"tls": true,
"host": "string",
"user": "string",
"replyToAddress": "string",
"state": "SMTP_CONFIG_STATE_UNSPECIFIED",
"description": "string",
"id": "string"
}
}Was this page helpful?
Deprecated: Get active SMTP Configuration
Deprecated: Get active SMTP Configuration: Returns the active SMTP configuration from the system. This is used to send E-Mails to the users.
Deprecated: List SMTP Configs
Explore the Deprecated: List SMTP Configs operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.